Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusListenerWorker<N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,?,?>>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.worker.WorkerTask<RadiusListenerWorkerContext>
ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest<RadiusListenerWorkerContext>
ru.bitel.bgbilling.kernel.network.radius.RadiusListenerWorker<N>

Type Parameters:
  `N` -

All Implemented Interfaces:
  `Runnable`

public class RadiusListenerWorker<N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,?,?>> extends ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest<RadiusListenerWorkerContext>
Когда-нибудь он будет сохранять радиус запросы в лог-файлы, по крайней мере аккаунтинг запросы...
Чтобы их можно было переобработать. UPD(stark): он уже сохраняет логи по факту, только этот код не в одном модуле не используется. inet делает это сам (переопределил этот код), а другие модули (dialup) не сохраняют

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.worker.WorkerTask

  `ru.bitel.common.worker.WorkerTask.BlockingExecutionHandler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `accessCode`
  `protected Object`
  `agentDevice`
  `protected int`
  `agentDeviceId`
  `protected final ru.bitel.bgbilling.kernel.network.ip.IpAddressSet`
  `ipAddressSet`
  `protected static final org.apache.logging.log4j.Logger`
  `logger`
  `protected static final org.apache.logging.log4j.Logger`
  `loggerUpdate`
  `protected N`
  `nas`
  `protected final int`
  `overloadLevel`
  `protected final RadiusProcessor<?,N,?>`
  `processor`
  `protected RadiusSession<N,?>`
  `radiusSession`
  `protected RadiusPacket`
  `request`
  `protected RadiusPacket`
  `response`
  `protected static final ThreadLocal<RadiusListenerWorker<?>>`
  `worker`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest

  `clientAddress, connectionId, data, millis`

  ### Fields inherited from class ru.bitel.common.worker.WorkerTask

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadiusListenerWorker(RadiusListener<N> listener, SocketAddress clientAddress, long millis, ByteBuffer data, int overloadLevel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `accessRequest(N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, Date time)`
  `protected void`
  `accessRequest0(N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, Date time)`
  `protected void`
  `accountingRequest(N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, Date time)`
  `int`
  `getAccountId()`
  `Object`
  `getAgentDevice()`
  `int`
  `getAgentDeviceId()`
  `Object`
  `getCircuitId()`
  `ru.bitel.bgbilling.kernel.container.managed.ServerContext`
  `getConext()`
  `int`
  `getConnectionType()`
  `int`
  `getContractId()`
  `ru.bitel.bgbilling.kernel.network.ip.IpAddressSet`
  `getIpAddressSet()`
  `RadiusSession<N,?>`
  `getRadiusSession()`
  `RadiusPacket`
  `getRequest()`
  `RadiusPacket`
  `getResponse()`
  `boolean`
  `isConnectionModified()`
  Было ли соединение начато/остановлено при обработке данного `request`.
  `boolean`
  `isSkip()`
  `void`
  `runImpl()`
  `protected ByteBuffer`
  `sendReponse(N nas, RadiusPacket response)`
  `void`
  `setAccountId(int accountId)`
  `void`
  `setAgentDevice(Object agentDevice)`
  `void`
  `setAgentDeviceId(int agentDeviceId)`
  `void`
  `setCircuitId(Object circuitId)`
  `void`
  `setConnectionModified(boolean connectionModified)`
  Было ли соединение начато/остановлено при обработке данного `request`.
  `void`
  `setContractId(int contractId)`
  `void`
  `setSkip(boolean dismiss)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest

  `send`

  ### Methods inherited from class ru.bitel.common.worker.WorkerTask

  `newBlockingFixedThreadPool, newFixedThreadPool, newFixedThreadPool, newScheduledThreadPool, run, runSync, runSync, setContext`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Runnable

  `run`

- ## Field Details

  - ### logger

    protected static final org.apache.logging.log4j.Logger logger

  - ### loggerUpdate

    protected static final org.apache.logging.log4j.Logger loggerUpdate

  - ### processor

    protected final RadiusProcessor<?,N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,?,?>,?> processor

  - ### overloadLevel

    protected final int overloadLevel

  - ### request

    protected RadiusPacket request

  - ### radiusSession

    protected RadiusSession<N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,?,?>,?> radiusSession

  - ### nas

    protected N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,?,?> nas

  - ### agentDeviceId

    protected int agentDeviceId

  - ### agentDevice

    protected Object agentDevice

  - ### accessCode

    protected int accessCode

  - ### ipAddressSet

    protected final ru.bitel.bgbilling.kernel.network.ip.IpAddressSet ipAddressSet

  - ### response

    protected RadiusPacket response

  - ### worker

    protected static final ThreadLocal<RadiusListenerWorker<?>> worker

- ## Constructor Details

  - ### RadiusListenerWorker

    public RadiusListenerWorker(RadiusListener<N> listener, SocketAddress clientAddress, long millis, ByteBuffer data, int overloadLevel)

- ## Method Details

  - ### getAgentDeviceId

    public int getAgentDeviceId()

  - ### setAgentDeviceId

    public void setAgentDeviceId(int agentDeviceId)

  - ### getAgentDevice

    public Object getAgentDevice()

  - ### setAgentDevice

    public void setAgentDevice(Object agentDevice)

  - ### isConnectionModified

    public boolean isConnectionModified()
    Было ли соединение начато/остановлено при обработке данного `request`.

  - ### setConnectionModified

    public void setConnectionModified(boolean connectionModified)
    Было ли соединение начато/остановлено при обработке данного `request`.

  - ### getIpAddressSet

    public ru.bitel.bgbilling.kernel.network.ip.IpAddressSet getIpAddressSet()

  - ### getCircuitId

    public Object getCircuitId()

  - ### setCircuitId

    public void setCircuitId(Object circuitId)

  - ### runImpl

    public void runImpl()
    Specified by:
      `runImpl` in class `ru.bitel.common.worker.WorkerTask<RadiusListenerWorkerContext>`

  - ### accessRequest0

    protected void accessRequest0(N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, Date time) throws ru.bitel.bgbilling.common.BGException, InvalidKeyException, NoSuchAlgorithmException, IOException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `InvalidKeyException`
      `NoSuchAlgorithmException`
      `IOException`

  - ### accessRequest

    protected void accessRequest(N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, Date time) throws ru.bitel.bgbilling.common.BGException, InvalidKeyException, NoSuchAlgorithmException, IOException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `InvalidKeyException`
      `NoSuchAlgorithmException`
      `IOException`

  - ### accountingRequest

    protected void accountingRequest(N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, Date time) throws ru.bitel.bgbilling.common.BGException, InvalidKeyException, NoSuchAlgorithmException, IOException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `InvalidKeyException`
      `NoSuchAlgorithmException`
      `IOException`

  - ### sendReponse

    protected ByteBuffer sendReponse(N nas, RadiusPacket response) throws InvalidKeyException, NoSuchAlgorithmException, IOException
    Throws:
      `InvalidKeyException`
      `NoSuchAlgorithmException`
      `IOException`

  - ### getConext

    public ru.bitel.bgbilling.kernel.container.managed.ServerContext getConext()

  - ### getRadiusSession

    public RadiusSession<N,?> getRadiusSession()

  - ### getRequest

    public RadiusPacket getRequest()

  - ### getResponse

    public RadiusPacket getResponse()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getContractId

    public int getContractId()

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId(int accountId)

  - ### isSkip

    public boolean isSkip()

  - ### setSkip

    public void setSkip(boolean dismiss)

  - ### getConnectionType

    public int getConnectionType()